Subject: Re: bug#9960: Compiling Emacs trunk with MSVC

From: Christoph Scholtes <[email-masked]>
Date: Sat, 05 Nov 2011 12:20:22 -0600

Christoph Scholtes <[email-masked]> writes:

> I will try. I might just have to remove the lib-src stuff from the make
> process.

OK. So I removed emacsclient from the build process and we can move on.

Next error:

nmake does not like the relative path invocation of make-docfile with
forward slashes (makefile.w32-in, l.235)

"../lib-src/$(BLD)/make-docfile" -d . -g $(SOME_MACHINE_OBJECTS) $(obj) > gl-tmp

If I hardcode this to 

"..\\lib-src\\obj\\i386\\make-docfile" -d . -g $(SOME_MACHINE_OBJECTS)
$(obj) > gl-tmp

it works. We might have to use forward slashes here and change BLD accordingly?

Then we get to emacs.c:

d:\devel\emacs\emacs-bzr\trunk_jenkins\src\lisp.h(2499) : error C2061: syntax er
ror : identifier 'cons_to_signed'
d:\devel\emacs\emacs-bzr\trunk_jenkins\src\lisp.h(2499) : error C2059: syntax er
ror : ';'
d:\devel\emacs\emacs-bzr\trunk_jenkins\src\lisp.h(2499) : error C2059: syntax er
ror : 'type'
emacs.c(537) : error C2059: syntax error : '<<'
emacs.c(537) : error C2059: syntax error : 'constant'
emacs.c(537) : error C2059: syntax error : ')'
emacs.c(545) : error C2059: syntax error : '<<'
emacs.c(545) : error C2059: syntax error : 'constant'
emacs.c(545) : error C2059: syntax error : ')'
emacs.c(1992) : error C2059: syntax error : '<<'
emacs.c(1992) : error C2059: syntax error : 'constant'
emacs.c(1992) : error C2059: syntax error : ')'
emacs.c(2130) : error C2059: syntax error : '<<'
emacs.c(2130) : error C2059: syntax error : 'constant'
emacs.c(2130) : error C2059: syntax error : ')'
emacs.c(2337) : error C2059: syntax error : '<<'
emacs.c(2337) : error C2059: syntax error : 'constant'
emacs.c(2337) : error C2059: syntax error : ')'
emacs.c(2352) : error C2059: syntax error : '<<'
emacs.c(2352) : error C2059: syntax error : 'constant'
emacs.c(2352) : error C2059: syntax error : ')'

I am starting to wonder how Fabrice ever got this to compile. Are all of
these errors due to changes made between his original patch and the
current trunk state?